MRCAL(1)

NAME
mrcal-show-distortion-off-pinhole - Visualize the behavior or a lens model

SYNOPSIS
  $ mrcal-show-distortion-off-pinhole --vectorfield left.cameramodel

  ... a plot pops up showing the vector field of the difference from a pinhole
  projection

DESCRIPTION
This tool is used to examine how a lens model behaves. Depending on the model, the vectors could be very large or very small, and we can scale them by passing '--vectorscale s'. By default we sample in a 60x40 grid, but this spacing can be controlled by passing '--gridn w h'.

By default we render a heat map of the lens effects. We can also see the vectorfield by passing in --vectorfield. Or we can see the radial distortion curve by passing --radial

OPTIONS

  POSITIONAL ARGUMENTS
  model                 Input camera model. If "-' is given, we read standard
                        input

  OPTIONAL ARGUMENTS
  -h, --help            show this help message and exit
  --gridn GRIDN GRIDN   How densely we should sample the imager. By default we
                        report a 60x40 grid
  --vectorscale VECTORSCALE
                        Scale the vectors by this factor. Default is 1.0
                        (report the truth), but this is often too small to see
  --radial              Show the radial distortion scale factor instead of a
                        colormap/vectorfield
  --vectorfield         Plot the diff as a vector field instead of as a heat
                        map. The vector field contains more information
                        (magnitude AND direction), but is less clear at a
                        glance
  --show-fisheye-projections
                        If given, the radial plots include the behavior of
                        common fisheye projections, in addition to the
                        behavior of THIS lens
  --cbmax CBMAX         Maximum range of the colorbar
  --title TITLE         Title string for the plot. Overrides the default
                        title. Exclusive with --extratitle
  --extratitle EXTRATITLE
                        Additional string for the plot to append to the
                        default title. Exclusive with --title
  --hardcopy HARDCOPY   Write the output to disk, instead of making an
                        interactive plot
  --terminal TERMINAL   gnuplotlib terminal. The default is good almost
                        always, so most people don't need this option
  --set SET             Extra 'set' directives to pass to gnuplotlib. May be
                        given multiple times
  --unset UNSET         Extra 'unset' directives to pass to gnuplotlib. May be
                        given multiple times

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0